// Code generated by sqlc-grpc (https://github.com/walterwanderley/sqlc-grpc). DO NOT EDIT.

package authors

import (
	"database/sql"

	"google.golang.org/protobuf/types/known/wrapperspb"

	pb "example/api/authors/v1"
)

func toAuthor(in Author) *pb.Author {

	out := new(pb.Author)
	out.Id = in.ID
	out.Name = in.Name
	if in.Bio.Valid {
		out.Bio = wrapperspb.String(in.Bio.String)
	}
	return out
}

func toExecResult(in sql.Result) *pb.ExecResult {
	lastInsertId, _ := in.LastInsertId()
	rowsAffected, _ := in.RowsAffected()
	return &pb.ExecResult{
		LastInsertId: lastInsertId,
		RowsAffected: rowsAffected,
	}
}
